Loading...
Searching...
No Matches
parsed_opts Struct Reference

This structure holds parsed options. More...

`#include <addrxlat-priv.h>`

## Data Fields

bool | isset [ADDRXLAT_OPT_NUM]
| Set/unset flag for each option.
const char * | arch
| Value of OPT_arch.
const char * | os_type
| Value of OPT_os_type.
unsigned long | version_code
| Value of OPT_version_code.
unsigned long | phys_bits
| Value of OPT_phys_bits.
unsigned long | virt_bits
| Value of OPT_virt_bits.
unsigned long | page_shift
| Value of OPT_page_shift.
addrxlat_addr_t | phys_base
| Value of OPT_phys_base.
addrxlat_fulladdr_t | rootpgt
| Value of OPT_rootpgt.
unsigned long | xen_p2m_mfn
| Value of OPT_xen_p2m_mfn.
bool | xen_xlat
| Value of OPT_xen_xlat.

## Detailed Description

This structure holds parsed options.

The documentation for this struct was generated from the following file:

- src/addrxlat/addrxlat-priv.h